Cancel a card
curl --request POST \
--url https://apigwuat.corpay.com/cards/{cardIdentifier}/cancel \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"statusReasonId": 2,
"notes": "Card cancelled by admin"
}
'import requests
url = "https://apigwuat.corpay.com/cards/{cardIdentifier}/cancel"
payload = {
"statusReasonId": 2,
"notes": "Card cancelled by admin"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({statusReasonId: 2, notes: 'Card cancelled by admin'})
};
fetch('https://apigwuat.corpay.com/cards/{cardIdentifier}/cancel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"$ref": "#/components/schemas/Status/example"
}{
"errorCode": "ER-001",
"errorDescription": "Invalid request parameters"
}{
"errorCode": "ER-012",
"errorDescription": "The server encountered an unexpected condition and could not complete the request. Please contact Corpay Support."
}Card
Cancel a card
Cancel the card permanently.
POST
/
cards
/
{cardIdentifier}
/
cancel
Cancel a card
Performance expectations:
p50: 900 ms, p99: 2500 ms.
Measured on successful requests (2xx), server-side only.
How to interpret these metrics
p50: 900 ms, p99: 2500 ms.
Measured on successful requests (2xx), server-side only.
How to interpret these metrics
Authorizations
Use OAuth2 client credentials to obtain a bearer token.
Token endpoint:
POST <BASE_URL>/keycloak/realms/longship/protocol/openid-connect/token
Use the same base URL as the selected API server:
- Test environment:
https://apigwuat.corpay.com - Production environment:
https://apigw.corpay.com
Example:
curl --location '<BASE_URL>/keycloak/realms/longship/protocol/openid-connect/token' \
--header 'accept: application/json' \
--data-urlencode 'grant_type=client_credentials' \
--data-urlencode 'client_id=.......' \
--data-urlencode 'client_secret=......'Path Parameters
Response
Operation status
The response is of type object.
⌘I